package models

import (
	"encoding/json"
	"os"
)

type Config struct {
	AssetsPath    string
	TemplatesPath string
	TemplatesExt  string
	LocalIP       string
	ServerIP      string
	ServerDomain  string
	Port          string
}

func ConfigInit() *Config {
	return &Config{}
}

func (c *Config) Load(configPath string) error {
	configFile, err := os.ReadFile(configPath)
	if err != nil {
		return err
	}
	err = json.Unmarshal(configFile, c)
	if err != nil {
		return err
	}
	return nil
}
